# See the CATALINA_OPTS below for tuning the JVM arguments used to start Confluence.

echo "If you encounter issues starting up Confluence, please see the Installation guide at http://confluence.atlassian.com/display/DOC/Confluence+Installation+Guide"

# set the location of the pid file
if [ -z "$CATALINA_PID" ] ; then
    if [ -n "$CATALINA_BASE" ] ; then
        CATALINA_PID="$CATALINA_BASE"/work/catalina.pid
    elif [ -n "$CATALINA_HOME" ] ; then
        CATALINA_PID="$CATALINA_HOME"/work/catalina.pid
    fi
fi
export CATALINA_PID

PRGDIR=`dirname "$0"`
if [ -z "$CATALINA_BASE" ]; then
  if [ -z "$CATALINA_HOME" ]; then
    LOGBASE=$PRGDIR
    LOGTAIL=..
  else
    LOGBASE=$CATALINA_HOME
    LOGTAIL=.
  fi
else
  LOGBASE=$CATALINA_BASE
  LOGTAIL=.
fi

PUSHED_DIR=`pwd`
cd $LOGBASE
cd $LOGTAIL
LOGBASEABS=`pwd`
cd $PUSHED_DIR

echo ""
echo "Server startup logs are located in $LOGBASEABS/logs/catalina.out"

# Set the JVM arguments used to start Confluence. For a description of the options, see
# http://www.oracle.com/technetwork/java/javase/tech/vmoptions-jsp-140102.html
CATALINA_OPTS="$CATALINA_OPTS -server -Xms18g -Xmx18g"
CATALINA_OPTS="$CATALINA_OPTS -Djava.awt.headless=true -XX:+UseG1GC -XX:+DisableExplicitGC -XX:+UseCodeCacheFlushing -Datlassian.plugins.enable.wait=300 -Dfile.encoding=UTF-8 -Dcom.sun.management.jmxremote.port=4099 -Dcom.sun.management.jmxremote.ssl=false -Dcom.sun.management.jmxremote.authenticate=false -Djavax.net.ssl.trustStore=/etc/java/KEYSTORE -Djavax.net.ssl.trustStorePassword=changeit -Djavax.net.ssl.trustStoreAlias=wiki.ca.com -javaagent:/opt/j2ee/domains/ca.com/wiki/wily/Agent.jar -Datlassian.org.osgi.framework.bootdelegation=com.wily,com.wily.*,sun.*,org.w3c.*,org.xml.sax.*,org.apache.xerces.*,com.sun.org.apache.xalan.*,org.apache.xml,org.apache.xml.*,javax.xml,javax.xml.*,com.sun,com.sun.*org.apache.xalan,org.apache.xalan.* -Dcom.wily.introscope.agentProfile=/opt/j2ee/domains/ca.com/wiki/wily/core/config/IntroscopeAgent.profile -Dcom.wily.introscope.agent.agentName=wiki -verbose:gc -Xloggc:/opt/j2ee/domains/ca.com/wiki/current/data/logs/`date +%x|tr / .`-gc.log -XX:+PrintGCDetails -XX:+HeapDumpOnOutOfMemoryError -Dnavlink.executor.threadpool=4 -Djava.awt.headless=true -XX:HeapDumpPath=/opt/j2ee/domains/ca.com/wiki"
CATALINA_OPTS="-Djavax.xml.transform.TransformerFactory=org.apache.xalan.processor.TransformerFactoryImpl ${CATALINA_OPTS}"
CATALINA_OPTS="-Djavax.xml.parsers.DocumentBuilderFactory=org.apache.xerces.jaxp.DocumentBuilderFactoryImpl ${CATALINA_OPTS}"
CATALINA_OPTS="$CATALINA_OPTS -Xloggc:$LOGBASEABS/logs/gc-`date +%F`.log -XX:+UseGCLogFileRotation -XX:NumberOfGCLogFiles=5 -XX:GCLogFileSize=2M"
#CATALINA_OPTS="$CATALINA_OPTS -XX:-PrintGCDetails -XX:+PrintGCTimeStamps -XX:+PrintTenuringDistribution"
CATALINA_OPTS="$CATALINA_OPTS -XX:+PrintGCDetails -XX:+PrintGCDateStamps -XX:+PrintGCTimeStamps -XX:+PrintTenuringDistribution"
export CATALINA_OPTS

